# Promo Code Exception List Items

## List Items in a Promo Code Exception List

> Returns a list of all promo code items within a specific exception list.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Promo Code Exception Lists","version":"v13"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Use your AccountSID as the username and AuthToken as the password."}},"schemas":{"PromoCodeExceptionListItem":{"type":"object","properties":{"Id":{"type":"string","description":"The unique identifier for the exception list item."},"Value":{"type":"string","description":"The PROMO CODE value."},"Name":{"type":"string","description":"Display name for the item."},"MatchMode":{"type":"string","description":"How the value is matched against incoming actions.","enum":["EQ","REGEX"]},"ListId":{"type":"string","description":"The unique identifier of the parent exception list."},"CreatedDate":{"type":"string","format":"date-time","description":"The date and time the item was created."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to this item in the impact.com API."}}}}},"paths":{"/Advertisers/{AccountSID}/PromoCodeExceptionLists/{ListId}/Items":{"get":{"summary":"List Items in a Promo Code Exception List","description":"Returns a list of all promo code items within a specific exception list.","operationId":"listPromoCodeExceptionListItems","tags":["Promo Code Exception List Items"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}},{"name":"ListId","in":"path","required":true,"description":"The unique identifier for the promo code exception list.","schema":{"type":"string"}},{"name":"Value","in":"query","description":"Filter items by the 'Value' (the promo code itself).","schema":{"type":"string"}}],"responses":{"200":{"description":"A paginated list of exception list item objects.","content":{"application/json":{"schema":{"type":"object","properties":{"ExceptionListItems":{"type":"array","description":"The list of promo code exception list item objects.","items":{"$ref":"#/components/schemas/PromoCodeExceptionListItem"}}}}}}}}}}}}
```

## Create an Item in a Promo Code Exception List

> Creates a new promo code item for an exception list.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Promo Code Exception Lists","version":"v13"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Use your AccountSID as the username and AuthToken as the password."}},"responses":{"SuccessUriResponse":{"description":"The request was successful.","content":{"application/json":{"schema":{"type":"object","properties":{"Status":{"type":"string","description":"Indicates whether the operation was successful."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to the affected resource."}}}}}}}},"paths":{"/Advertisers/{AccountSID}/PromoCodeExceptionLists/{ListId}/Items":{"post":{"summary":"Create an Item in a Promo Code Exception List","description":"Creates a new promo code item for an exception list.","operationId":"createPromoCodeExceptionListItem","tags":["Promo Code Exception List Items"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}},{"name":"ListId","in":"path","required":true,"description":"The unique identifier for the promo code exception list.","schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","required":["Value"],"properties":{"Value":{"type":"string","description":"The promo code value to add to the list."}}}}}},"responses":{"200":{"$ref":"#/components/responses/SuccessUriResponse"}}}}}}
```

## Delete All Items from a Promo Code Exception List

> Permanently deletes all items in a promo code exception list. This cannot be undone.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Promo Code Exception Lists","version":"v13"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Use your AccountSID as the username and AuthToken as the password."}},"responses":{"DeletedResponse":{"description":"The resource was deleted successfully.","content":{"application/json":{"schema":{"type":"object","properties":{"Status":{"type":"string","description":"Indicates that the resource was deleted."}}}}}}}},"paths":{"/Advertisers/{AccountSID}/PromoCodeExceptionLists/{ListId}/Items":{"delete":{"summary":"Delete All Items from a Promo Code Exception List","description":"Permanently deletes all items in a promo code exception list. This cannot be undone.","operationId":"deleteAllPromoCodeExceptionListItems","tags":["Promo Code Exception List Items"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}},{"name":"ListId","in":"path","required":true,"description":"The unique identifier for the promo code exception list.","schema":{"type":"string"}}],"responses":{"200":{"$ref":"#/components/responses/DeletedResponse"}}}}}}
```

## Get Promo Code Exception List Item Details

> Retrieves the details of a single item from a promo code exception list.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Promo Code Exception Lists","version":"v13"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Use your AccountSID as the username and AuthToken as the password."}},"schemas":{"PromoCodeExceptionListItem":{"type":"object","properties":{"Id":{"type":"string","description":"The unique identifier for the exception list item."},"Value":{"type":"string","description":"The PROMO CODE value."},"Name":{"type":"string","description":"Display name for the item."},"MatchMode":{"type":"string","description":"How the value is matched against incoming actions.","enum":["EQ","REGEX"]},"ListId":{"type":"string","description":"The unique identifier of the parent exception list."},"CreatedDate":{"type":"string","format":"date-time","description":"The date and time the item was created."},"Uri":{"type":"string","format":"uri-reference","description":"The unique reference to this item in the impact.com API."}}}}},"paths":{"/Advertisers/{AccountSID}/PromoCodeExceptionLists/{ListId}/Items/{ItemId}":{"get":{"summary":"Get Promo Code Exception List Item Details","description":"Retrieves the details of a single item from a promo code exception list.","operationId":"getPromoCodeExceptionListItemById","tags":["Promo Code Exception List Items"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}},{"name":"ListId","in":"path","required":true,"description":"The unique identifier for the promo code exception list.","schema":{"type":"string"}},{"name":"ItemId","in":"path","required":true,"description":"The unique identifier for the promo code exception list item.","schema":{"type":"string"}}],"responses":{"200":{"description":"A single exception list item object.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PromoCodeExceptionListItem"}}}}}}}}}
```

## Delete a Promo Code Exception List Item

> Permanently deletes a single item from a promo code exception list. This cannot be undone.

```json
{"openapi":"3.1.0","info":{"title":"Brand API - Promo Code Exception Lists","version":"v13"},"servers":[{"url":"https://api.impact.com"}],"security":[{"basicAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"Use your AccountSID as the username and AuthToken as the password."}},"responses":{"DeletedResponse":{"description":"The resource was deleted successfully.","content":{"application/json":{"schema":{"type":"object","properties":{"Status":{"type":"string","description":"Indicates that the resource was deleted."}}}}}}}},"paths":{"/Advertisers/{AccountSID}/PromoCodeExceptionLists/{ListId}/Items/{ItemId}":{"delete":{"summary":"Delete a Promo Code Exception List Item","description":"Permanently deletes a single item from a promo code exception list. This cannot be undone.","operationId":"deletePromoCodeExceptionListItem","tags":["Promo Code Exception List Items"],"parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}},{"name":"ListId","in":"path","required":true,"description":"The unique identifier for the promo code exception list.","schema":{"type":"string"}},{"name":"ItemId","in":"path","required":true,"description":"The unique identifier for the promo code exception list item.","schema":{"type":"string"}}],"responses":{"200":{"$ref":"#/components/responses/DeletedResponse"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://integrations.impact.com/brand-api-reference/brand-api-reference-v13/reference/promo-code-exception-lists/promo-code-exception-list-items.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
